#pragma once

#include <Array.h>
#include <Zeichnung.h>
#include <Knopf.h>

class RecipieGroup : public Framework::ZeichnungHintergrund
{
private:
    Framework::Bild* icon;
    Framework::RCArray<Framework::Zeichnung> recipies;
    Framework::Text toolTip;
    Framework::Knopf* previousPage;
    Framework::Knopf* nextPage;
    int currentPage;
    int maxPage;

public:
    RecipieGroup();
    ~RecipieGroup();

    void addRecipie(Framework::Zeichnung* recipie);
    void setIcon(Framework::Bild* icon);
    void setToolTip(Framework::Text toolTip);

    bool tick(double tickVal) override;
    void render(Framework::Bild& rObj) override;
    void doMausEreignis(Framework::MausEreignis& me, bool userRet) override;

    Framework::Bild* zIcon() const;
    Framework::Text getToolTip() const;
};